package com.altinity.opsview.odw.model;

public class WeeklyServiceAvailability {
	
	private int dayOfWeek;
	
	private double ok;
	private double scheduled;
	private double unscheduled;
	private double total;
	private ServiceCheck serviceCheck;
	
	/**
	 * 
	 */
	public double getOk() {
		return ok;
	}
	
	/**
	 * 
	 */
	public void setOk(double ok) {
		this.ok = ok;
	}
	
	/**
	 * 
	 */
	public double getScheduled() {
		return scheduled;
	}
	
	/**
	 * 
	 */
	public void setScheduled(double scheduled) {
		this.scheduled = scheduled;
	}
	
	/**
	 * 
	 */
	public ServiceCheck getServiceCheck() {
		return serviceCheck;
	}
	
	/**
	 * 
	 */
	public void setServiceCheck(ServiceCheck serviceCheck) {
		this.serviceCheck = serviceCheck;
	}
	
	/**
	 * 
	 */
	public double getUnscheduled() {
		return unscheduled;
	}
	
	/**
	 * 
	 */
	public void setUnscheduled(double unscheduled) {
		this.unscheduled = unscheduled;
	}
	
	/**
	 * 
	 */
	public double getTotal() {
		return total;
	}
	
	/**
	 * 
	 */
	public void setTotal(double total) {
		this.total = total;
	}
	
	/**
	 * 
	 */
	public double getPercentOk() {
		
		return (ok / total) * 100d;
	}
	
	/**
	 * 
	 */
	public double getPercentScheduled() {
		
		return (scheduled / total) * 100d;
	}
	
	/**
	 * 
	 */
	public double getPercentUnscheduled() {
		
		return (unscheduled / total) * 100d;
	}
	
	/**
	 * 
	 */
	public int getDayOfWeek() {
		return dayOfWeek;
	}
	
	/**
	 * 
	 */
	public void setDayOfWeek(int dayOfWeek) {
		this.dayOfWeek = dayOfWeek;
	}
	
	/**
	 * 
	 */
	public String toString() {
		
		StringBuffer sb = new StringBuffer();
		sb.append("OK: ");
		sb.append(ok);
		sb.append("\nScheduled: ");
		sb.append(scheduled);
		sb.append("\nUnscheduled: ");
		sb.append(unscheduled);
		sb.append("\nTotal: ");
		sb.append(total);
		sb.append("\n\n");
		
		return sb.toString();
	}
	
	/**
	 * 
	 */
	public boolean isEmpty() {
		
		return total == 0d;
	}
}
